/* Adrian Kuegel */
import java.io.*;
import java.util.*;

public class black {
	public static void main(String [] args) throws Exception {
		BufferedReader in = new BufferedReader(new FileReader("black.in"));
		String line;
		while((line = in.readLine()) != null) {
			StringTokenizer strtok = new StringTokenizer(line);
			int n = Integer.parseInt(strtok.nextToken());
			if (n == 0) break;
			int m = Integer.parseInt(strtok.nextToken());
			int c = Integer.parseInt(strtok.nextToken());
			n -= 7;
			m -= 7;
			System.out.println((n*m+c)/2);
		}
	}
}

